Subject: Re: [I2nsf] need some work to improve the consistency of I2NSF Information and data model: maybe a design team?

From: Susan Hares <[email-masked]>
Date: Mon, 17 Jul 2017 20:02:28 +0200

John
Ok.  Old/my/ new/group model/
There is a strategy that uses augmentation of simple model to create current level of comexity.  People buy into the model  step at a time.  The feedback on complexity comes from many sources.  
In the end it may be what some people need - but yang readability is to encourage deployment.  Please do not see this as rejection of modeling  discussion of how to factor it into pieces that will be deployed. 
I wish you were here for ana in person discussion.
Cheerily. Sue

Sent via the Samsung Galaxy S7 edge, an AT&T 4G LTE smartphone
-------- Original message --------From: John Strassner <[email-masked]> Date: 7/17/17  7:29 PM  (GMT+01:00) To: Susan Hares <[email-masked]>, John Strassner <[email-masked]> Cc: Linda Dunbar <[email-masked]>, [email-masked] Subject: Re: [I2nsf] need some work to improve the consistency of I2NSF Information and data model: maybe a design team? 
Wow.
I have NEVER said that "my" (and it is NOT just mine!) model is architecturally perfect. I am offended by that statement. Am I the ONLY author on this draft?
Rather than denigrate the efforts of the team that is building the model, it would be much more helpful to provide specifics. For example, what specifically is "too hard to understand"? How are we supposed to fix something given only vague comments like this?
I also object to your statement "Feedback from product groups are that your model are difficult to understand." I have worked with people inside and **outside** of Huawei on understanding and implementing the model. None have said that it is "too difficult to understand".
I have no idea what "something that fits the market, and provides easy reading by users" actually means. Saying that the YANG is "readable" is a matter of opinion. I note that, for example, there is no ability of the current YANG models to provide reflection or introspection. That impacts usability.
Providing insults and no alternative suggestions is not helpful.
On Mon, Jul 17, 2017 at 1:52 AM, Susan Hares <[email-masked]> wrote:
John:  Let me propose something different.  There are 2 priorities:  1)      Priority 1 – something that fits the market, and provides easy reading by users 2)      Priority 2 – something that is architecturally clean I understand you feel your base model is architecturally perfect.  Feedback from product groups are that your model are difficult to understand.   The models from the teams that have worked on the hackathon have been understood and worked on by the teams.  We should work toward both. An attitude that says “my model’s perfect” does not align with the yang model’s readably . Just my 2 cents.  Sue Hares  From: I2nsf [mailto:[email-masked]] On Behalf Of John Strassner
Sent: Sunday, July 16, 2017 1:36 PM
To: Linda Dunbar; John Strassner
Cc: [email-masked]
Subject: Re: [I2nsf] need some work to improve the consistency of I2NSF Information and data model: maybe a design team? I cannot attend Prague due to family health issues. That being said, I agree with Linda. I see three major problems:    1) There should be one, and only one, information model.        a) It is great to have multiple contributions, but those contributions MUST be written to enhance the existing model, not propose a new one   2) In general, some of the info models are not really **models** per se, but rather, requirements for models.    3) In general, I cannot trace data model work back to the info model work.       a) This is especially true for drafts that are trying to use or define policies I propose that draft-xibassnez is used for our info model. This means that the other info model drafts SHOULD be restructured to add to that draft. I propose that we wait on further data model draft definition until some people (I will help) on the design team can formulate guidelines and perhaps examples to properly derive data models from our info model. regards,John On Fri, Jul 14, 2017 at 9:27 AM, Linda Dunbar <[email-masked]> wrote:Thanks to many people contributions. We now have many drafts on the information model and data model for I2NSF: Information model:draft-xibassnez-i2nsf-capability-02draft-zhang-i2nsf-info-model-monitoring-04draft-hyun-i2nsf-registration-interface-im-02draft-kumar-i2nsf-client-facing-interface-im-03draft-xia-i2nsf-security-policy-object-01 Data Model:draft-hares-i2nsf-capability-data-model-03draft-jeong-i2nsf-consumer-facing-interface-dm-02draft-kim-i2nsf-nsf-facing-interface-data-model-02draft-hyun-i2nsf-registration-interface-dm-01  But the problem is that they are not all consistent.  Extra work is needed to improve the consistency for I2NSF information and data models for both Client/Consumer facing and NSF facing interfaces. So we are going to form a design team to work on it.  If you are interested in participate, please click on this doodle poll: https://doodle.com/poll/4ryrcw3993fbf7ca For people not in Prague, we can set up a Webex for you to call in.  Thank you very much for the contribution.  Linda & Adrian 
_______________________________________________
I2nsf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i2nsf

-- regards,John

-- 
regards,John